# OpenLayers.Layer.WorldWind

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.WorldWind |
Properties |
isBaseLayer | {Boolean} WorldWind layer is a base layer by default.
lzd | {Float} LevelZeroTileSizeDegrees
zoomLevels | {Integer} Number of zoom levels.
Constructor |
OpenLayers.Layer.WorldWind |
Functions |
getZoom | Convert map zoom to WW zoom.
getURL |

### Properties

### isBaseLayer

{Boolean} WorldWind layer is a base layer by default.

### lzd

{Float} LevelZeroTileSizeDegrees

### zoomLevels

{Integer} Number of zoom levels.

### Constructor

### OpenLayers.Layer.WorldWind

#### Parameters

name | {String} Name of Layer
url | {String} Base URL
lzd | {Float} Level zero tile size degrees
zoomLevels | {Integer} number of zoom levels
params | {Object} additional parameters
options | {Object} additional options

### Functions

### getZoom

> getZoom: function ()

Convert map zoom to WW zoom.

### getURL

> getURL: function ( | bounds | )

#### Parameters

bounds | {OpenLayers.Bounds}

#### Returns

{String} A string with the layer’s url and parameters and also the passed-in bounds and appropriate tile size specified as parameters

> getZoom: function ()

Convert map zoom to WW zoom.

> getURL: function ( | bounds | )

Instances of this class represent bounding boxes.
Close